List emails
curl --request GET \
--url https://api.moonemail.co/emails \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"id": "<string>",
"message_id": "<string>",
"to": [
"<string>"
],
"from": "<string>",
"created_at": "<string>",
"subject": "<string>",
"bcc": [
"<string>"
],
"cc": [
"<string>"
],
"reply_to": [
"<string>"
],
"last_event": "queued",
"scheduled_at": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Emails
List emails
List team messages and delivery status. Use cursors for pagination.
Required permission: emails:read.
GET
/
emails
List emails
curl --request GET \
--url https://api.moonemail.co/emails \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/emails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"id": "<string>",
"message_id": "<string>",
"to": [
"<string>"
],
"from": "<string>",
"created_at": "<string>",
"subject": "<string>",
"bcc": [
"<string>"
],
"cc": [
"<string>"
],
"reply_to": [
"<string>"
],
"last_event": "queued",
"scheduled_at": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Authorizations
Moonemail API key; x-required-scope applies.
Query Parameters
Required range:
1 <= x <= 100Required string length:
1 - 200Required string length:
1 - 200